Subject: Re: Open URLs with # using cygstart.exe
From: Alexander Konovalov <[email-masked]>
To: Dima Pasechnik <[email-masked]>, [email-masked]
Cc: [email-masked]
Date: Fri, 13 Jul 2012 14:02:53 +0100
List-Id: <cygwin.cygwin.com>

Hi Dima, Csaba,

Thanks for replies. I am running 64-bit Windows 7, Cygwin 1.7.11 (2012-02-24).
The default browser is Chrome, but I've tried with Firefox and InternetExplorer -
same result whenever I'm using single quotes or not with each of the three
browsers. Remote URLs indeed work fine. With the local URL address line of the
browser contains truncated URL without '#...' part so maybe cygstart parses
its argument differently dependently whether it starts with file:// or http://?

Thanks,
Alex

On 13 Jul 2012, at 13:38, Dima Pasechnik wrote:

> Hi Alex,
> 
> On 13 July 2012 20:26, Csaba Raduly <[email-masked]> wrote:
>> On Fri, Jul 13, 2012 at 2:06 PM, Alexander Konovalov  wrote:
>>> Dear Cygwin experts,
>>> 
>>> I am trying to open the exact location in the html file using my default
>>> browser with the command of the form
>>> 
>>> cygstart.exe file:///C:/somepath/doc/ref/chap31.html#X84F59A2687C62763
>>> 
>>> However, the anchor is ignored, so instead of going to the exact location
>>> it opens the file and stays on the top of the page.
>> 
>> Hi Alexander,
>> 
>> You are doing better than me. For me, cygstart interprets the anchor
>> as part of the filename.
>> 
>> $ cygstart file:///www/pages/html401/sgml/dtd.html#inline
>> Unable to start 'C:\cygwin17\www\pages\html401\sgml\dtd.html#inline':
>> The specified file was not found.
>> 
> 
> Same here.
> Interestingly, it works just fine with the remote URL - it brings up
> the page in the right place.
> (OK, so here it's Windows 7 (32-bit) running Cygwin 1.7.15, and the
> default browser is Firefox)
> 
> 
>> Have you tried
>> 
>> cygstart.exe 'file:///C:/somepath/doc/ref/chap31.html#X84F59A2687C62763'
>> 
>> (note the single quotes) ?
> 
> this does not help in my case.
> 
> Dima
> 
>> 
>> 
>> Csaba
>> --
>> GCS a+ e++ d- C++ ULS$ L+$ !E- W++ P+++$ w++$ tv+ b++ DI D++ 5++
>> The Tao of math: The numbers you can count are not the real numbers.
>> Life is complex, with real and imaginary parts.
>> "Ok, it boots. Which means it must be bug-free and perfect. " -- Linus Torvalds
>> "People disagree with me. I just ignore them." -- Linus Torvalds
>> 
>> --
>> Problem reports:       http://cygwin.com/problems.html
>> FAQ:                   http://cygwin.com/faq/
>> Documentation:         http://cygwin.com/docs.html
>> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
>> 

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple